# -*- coding: utf-8 -*-
# Generated by Django 1.10 on 2017-06-10 03:33
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0008_alter_user_username_max_length'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(max_length=255, unique=True, verbose_name='email address')),
                ('is_staff_account', models.BooleanField(default=False)),
                ('has_filled_data', models.BooleanField(default=False)),
                ('is_approved', models.BooleanField(default=False)),
                ('is_verified', models.BooleanField(default=False)),
                ('activation_key', models.CharField(max_length=40)),
                ('key_expires', models.DateTimeField()),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='active_batches',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='batch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_year', models.SmallIntegerField()),
                ('end_year', models.SmallIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='department',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('acronym', models.CharField(max_length=5)),
                ('department_code', models.SmallIntegerField()),
                ('is_core', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='department_section',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('section_name', models.CharField(max_length=1)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.department')),
            ],
        ),
        migrations.CreateModel(
            name='Historicalbatch',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('start_year', models.SmallIntegerField()),
                ('end_year', models.SmallIntegerField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.CustomUser')),
            ],
            options={
                'get_latest_by': 'history_date',
                'ordering': ('-history_date', '-history_id'),
                'verbose_name': 'historical batch',
            },
        ),
        migrations.CreateModel(
            name='HistoricalCustomUser',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('email', models.EmailField(db_index=True, max_length=255, verbose_name='email address')),
                ('is_staff_account', models.BooleanField(default=False)),
                ('has_filled_data', models.BooleanField(default=False)),
                ('is_approved', models.BooleanField(default=False)),
                ('is_verified', models.BooleanField(default=False)),
                ('activation_key', models.CharField(max_length=40)),
                ('key_expires', models.DateTimeField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.CustomUser')),
            ],
            options={
                'get_latest_by': 'history_date',
                'ordering': ('-history_date', '-history_id'),
                'verbose_name': 'historical custom user',
            },
        ),
        migrations.CreateModel(
            name='Historicalregulation',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('start_year', models.IntegerField()),
                ('end_year', models.IntegerField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.CustomUser')),
            ],
            options={
                'get_latest_by': 'history_date',
                'ordering': ('-history_date', '-history_id'),
                'verbose_name': 'historical regulation',
            },
        ),
        migrations.CreateModel(
            name='Historicalstaff',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('first_name', models.CharField(max_length=20)),
                ('middle_name', models.CharField(blank=True, max_length=20)),
                ('last_name', models.CharField(max_length=20)),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('dob', models.DateField(null=True, verbose_name='Date of Birth')),
                ('designation', models.CharField(choices=[('Principal', 'Principal'), ('Professor', 'Professor'), ('Associate Professor', 'Associate Professor'), ('Assistant Professor', 'Assistant Professor'), ('Network Admin', 'Network Admin'), ('Hostel Admin', 'Hostel Admin'), ('Alumni Staff', 'Alumni Staff')], max_length=20)),
                ('degree', models.CharField(blank=True, max_length=254)),
                ('specialization', models.CharField(max_length=30)),
                ('temporary_address', models.TextField(blank=True, max_length=300)),
                ('permanent_address', models.TextField(blank=True, max_length=300)),
                ('phone_number', models.CharField(max_length=10)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('department', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.department')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.CustomUser')),
            ],
            options={
                'get_latest_by': 'history_date',
                'ordering': ('-history_date', '-history_id'),
                'verbose_name': 'historical staff',
            },
        ),
        migrations.CreateModel(
            name='Historicalstudent',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('roll_no', models.CharField(db_index=True, max_length=7)),
                ('first_name', models.CharField(max_length=20)),
                ('middle_name', models.CharField(blank=True, max_length=20)),
                ('last_name', models.CharField(max_length=20)),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('father_name', models.CharField(blank=True, max_length=254)),
                ('father_occupation', models.CharField(default=None, max_length=50)),
                ('father_annual_income', models.FloatField(default=None)),
                ('mother_name', models.CharField(blank=True, max_length=254)),
                ('mother_occupation', models.CharField(default=None, max_length=50)),
                ('mother_annual_income', models.FloatField(default=None)),
                ('temporary_address', models.TextField(blank=True, max_length=300)),
                ('permanent_address', models.TextField(blank=True, max_length=300)),
                ('dob', models.DateField(null=True, verbose_name='Date of Birth')),
                ('date_of_joining', models.DateField(null=True)),
                ('hosteller_or_dayscholar', models.CharField(choices=[('dayscholar', 'Day Scholar'), ('hosteller', 'Hosteller')], max_length=10)),
                ('entry_type', models.CharField(choices=[('regular', 'Regular'), ('lateral', 'Lateral'), ('transfer', 'Transfer')], max_length=10)),
                ('phone_number', models.CharField(max_length=10)),
                ('caste', models.CharField(default=None, max_length=50)),
                ('community', models.CharField(choices=[('OC', 'OC'), ('BC', 'BC'), ('BCM', 'BCM'), ('MBC', 'MBC'), ('SC', 'SC'), ('ST', 'ST')], default=None, max_length=3)),
                ('aadhaar_number', models.CharField(blank=True, default=None, max_length=12, null=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('batch', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.batch')),
                ('department_section', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.department_section')),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='accounts.CustomUser')),
            ],
            options={
                'get_latest_by': 'history_date',
                'ordering': ('-history_date', '-history_id'),
                'verbose_name': 'historical student',
            },
        ),
        migrations.CreateModel(
            name='programme',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('acronym', models.CharField(max_length=5)),
            ],
        ),
        migrations.CreateModel(
            name='regulation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_year', models.IntegerField()),
                ('end_year', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='staff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=20)),
                ('middle_name', models.CharField(blank=True, max_length=20)),
                ('last_name', models.CharField(max_length=20)),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('dob', models.DateField(null=True, verbose_name='Date of Birth')),
                ('designation', models.CharField(choices=[('Principal', 'Principal'), ('Professor', 'Professor'), ('Associate Professor', 'Associate Professor'), ('Assistant Professor', 'Assistant Professor'), ('Network Admin', 'Network Admin'), ('Hostel Admin', 'Hostel Admin'), ('Alumni Staff', 'Alumni Staff')], max_length=20)),
                ('degree', models.CharField(blank=True, max_length=254)),
                ('specialization', models.CharField(max_length=30)),
                ('temporary_address', models.TextField(blank=True, max_length=300)),
                ('permanent_address', models.TextField(blank=True, max_length=300)),
                ('phone_number', models.CharField(max_length=10)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.department', verbose_name='Department')),
                ('qualification', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.programme')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='accounts.CustomUser')),
            ],
        ),
        migrations.CreateModel(
            name='student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('roll_no', models.CharField(max_length=7, unique=True)),
                ('first_name', models.CharField(max_length=20)),
                ('middle_name', models.CharField(blank=True, max_length=20)),
                ('last_name', models.CharField(max_length=20)),
                ('gender', models.CharField(choices=[('M', 'Male'), ('F', 'Female')], max_length=1)),
                ('father_name', models.CharField(blank=True, max_length=254)),
                ('father_occupation', models.CharField(default=None, max_length=50)),
                ('father_annual_income', models.FloatField(default=None)),
                ('mother_name', models.CharField(blank=True, max_length=254)),
                ('mother_occupation', models.CharField(default=None, max_length=50)),
                ('mother_annual_income', models.FloatField(default=None)),
                ('temporary_address', models.TextField(blank=True, max_length=300)),
                ('permanent_address', models.TextField(blank=True, max_length=300)),
                ('dob', models.DateField(null=True, verbose_name='Date of Birth')),
                ('date_of_joining', models.DateField(null=True)),
                ('hosteller_or_dayscholar', models.CharField(choices=[('dayscholar', 'Day Scholar'), ('hosteller', 'Hosteller')], max_length=10)),
                ('entry_type', models.CharField(choices=[('regular', 'Regular'), ('lateral', 'Lateral'), ('transfer', 'Transfer')], max_length=10)),
                ('phone_number', models.CharField(max_length=10)),
                ('caste', models.CharField(default=None, max_length=50)),
                ('community', models.CharField(choices=[('OC', 'OC'), ('BC', 'BC'), ('BCM', 'BCM'), ('MBC', 'MBC'), ('SC', 'SC'), ('ST', 'ST')], default=None, max_length=3)),
                ('aadhaar_number', models.CharField(blank=True, default=None, max_length=12, null=True)),
                ('batch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.batch')),
                ('department_section', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.department_section')),
                ('programme', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.programme')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='accounts.CustomUser')),
            ],
        ),
        migrations.AddField(
            model_name='historicalstudent',
            name='programme',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.programme'),
        ),
        migrations.AddField(
            model_name='historicalstudent',
            name='user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.CustomUser'),
        ),
        migrations.AddField(
            model_name='historicalstaff',
            name='qualification',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.programme'),
        ),
        migrations.AddField(
            model_name='historicalstaff',
            name='user',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.CustomUser'),
        ),
        migrations.AddField(
            model_name='historicalbatch',
            name='programme',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.programme'),
        ),
        migrations.AddField(
            model_name='historicalbatch',
            name='regulation',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='accounts.regulation'),
        ),
        migrations.AddField(
            model_name='department_section',
            name='programme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.programme'),
        ),
        migrations.AddField(
            model_name='batch',
            name='programme',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.programme'),
        ),
        migrations.AddField(
            model_name='batch',
            name='regulation',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.regulation'),
        ),
        migrations.AddField(
            model_name='active_batches',
            name='batch',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.batch'),
        ),
        migrations.AddField(
            model_name='active_batches',
            name='department_section',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.department_section'),
        ),
        migrations.AlterUniqueTogether(
            name='student',
            unique_together=set([('roll_no', 'aadhaar_number')]),
        ),
    ]
